{
  stdenv,
  python313,
  ...
}:

let
  python = python313.withPackages (
    p: with p; [
      mkdocs
      mkdocs-material
      mkdocs-material-extensions
      pygments
    ]
  );
in
stdenv.mkDerivation {
  name = "synix-docs";
  src = ./../../.;
  nativeBuildInputs = [
    python
  ];
  buildPhase = "mkdocs build --strict --verbose";
  installPhase = "cp -r site $out";
}
